/// <reference types="react" />
export declare type FetchingUiPropsOptional<ResultProps = any, ExecProps = any> = {
    component?: (props: {
        result: ResultProps;
    }) => any;
    loadingLabel?: string;
    triggerLabel?: string;
    triggerComponent?: (props: {
        exec: (props: ExecProps) => any;
    }) => any;
};
export declare type FetchingUiProps<ResultProps = any, ExecProps = any> = {
    onClick: any;
    loading: any;
    error: any;
    result: ResultProps;
} & FetchingUiPropsOptional<ResultProps, ExecProps>;
export default function FetchingUi<ResultProps = any, ExecProps = any>(props: FetchingUiProps<ResultProps, ExecProps>): JSX.Element;
